import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core/ES5/type";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
export declare class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    constructor();
    protected get_p0(): IndicatorCalculationStrategy;
    protected readonly p0: IndicatorCalculationStrategy;
    protected get_qd(): Type;
    protected readonly qd: Type;
    ql: number;
    static readonly qq: DependencyProperty;
    protected p6(): number;
    qf(a: number): void;
    smoothingPeriod: number;
    static readonly qr: DependencyProperty;
    protected p8(): number;
    qn: number;
    static readonly qs: DependencyProperty;
    protected p5(): number;
    protected pg(): number;
    static $t: Type;
}
